package jrummikub.model;

import java.awt.Color;

/**
 * Mock class for {@link Player}
 */
public class MockPlayer implements IPlayer {
	/** */
	public Hand hand;
	/** */
	public String name;
	/** */
	public Color color;

	/**
	 * @param name
	 *          the player name
	 * @param color
	 *          the player color
	 */
	public MockPlayer(String name, Color color) {
		hand = new Hand();
		this.name = name;
		this.color = color;
	}

	@Override
	public IHand getHand() {
		return hand;
	}

	@Override
	public Color getColor() {
		return color;
	}

	@Override
	public String getName() {
		return name;
	}
}
